<div id="header">
  <app-header></app-header>
</div>
<div class="container-fluid">
  <div id="content-wrapper" class="d-flex flex-row">
    <div id="sidebar"><app-sidebar></app-sidebar></div>
    <div id="main-container-gestionnaire-roles" class="container-fluid d-flex flex-column">
      <div id="title-container" class="container-fluid d-flex justify-content-between align-items-center p-4">
        <div class="dashboard-title d-flex flex-row align-items-center  p-5">
          <span><h1>GESTIONNAIRE DE PLANS DE TESTS</h1></span>
        </div>
        <app-add-plan-popup></app-add-plan-popup>
      </div>
      <!--filter de recherche-->
    <div>
      <app-filter-recherche (filterPlan)="receivedPlanTest($event)"  ></app-filter-recherche>
    </div>
    <!------------------------->
      <div class="accordion accordion-flush" id="accordionFlushExample">
        <div class="accordion-item "
             *ngFor="let plan of plans; index as index "
             id="{{ plan.id }}">
          <h2 class="accordion-header" id="flush-heading{{ plan.id }}">
            <button class="accordion-button collapsed d-flex flex-row justify-content-between align-items-center "
                    type="button" data-bs-toggle="collapse"
                    [attr.data-bs-target]="'#flush-collapse' +
                    plan.id " aria-expanded="false"
                    [attr.aria-controls]="'flush-collapse' +
                    plan.id ">
              <div class="d-flex flex-row flex-grow-1 d-flex align-items-center">
                <span *ngIf="!plan.archive" class="actif status d-flex align-items-center" (click)="onDelete($event, plan)">actif</span>
                <span *ngIf="plan.archive" class="inactif status d-flex align-items-center" (click)="onDelete($event, plan)">inactif</span>
                <!--<span class="plan-title d-flex align-items-center">{{ (plan.nom.length>25)? (plan.nom | slice:0:25)+'...':(plan.nom) }}</span>-->
                <span class="plan-title d-flex align-items-center">{{ plan.nom }}</span>
              </div>
              <div>
                <span class="edit" (click)="onClick($event, plan)">
                  <i class="fa-solid fa-pen" aria-hidden="true"></i>
                </span>
                <span id="eye-button">
                  <svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 512 512" (click)="navigateTo(plan)"><g><g fill="#231F20"><path d="m34,256l26.2,26.2c108,108 283.7,108 391.7,0l26.1-26.2-26.2-26.2c-108-108-283.7-108-391.7,0l-26.1,26.2zm222,126.2c-75.8,0-151.6-28.9-209.3-86.6l-32.9-32.9c-3.7-3.7-3.7-9.7 0-13.5l32.9-32.9c115.4-115.4 303.2-115.4 418.6,0l32.9,32.9c3.7,3.7 3.7,9.7 0,13.5l-32.9,32.9c-57.7,57.7-133.5,86.6-209.3,86.6z"/><path d="m256,183.5c-40,0-72.5,32.5-72.5,72.5s32.5,72.5 72.5,72.5c40,0 72.5-32.5 72.5-72.5s-32.5-72.5-72.5-72.5zm0,164c-50.5,0-91.5-41.1-91.5-91.5 0-50.5 41.1-91.5 91.5-91.5s91.5,41.1 91.5,91.5c0,50.5-41,91.5-91.5,91.5z"/></g></g></svg>
                </span>
              </div>
            </button>
          </h2>
          <div id="flush-collapse{{ plan.id }}" class="accordion-collapse collapse"
               [attr.aria-labelledby]="'flush-heading' +
               plan.id "
               data-bs-parent="#accordionFlushExample">
            <div class="accordion-body ">
              <h3>DETAILS</h3>
              <h4>{{ plan.nom }} - <span>{{ projet.nom }} v.{{ projet.version }}</span></h4>
              <p>{{ plan.details }}</p>
            </div>
            <div class="accordion-body-bottom "></div>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
<!-- modal -->
<!-- Modal EDIT Plan-->
<div class="modal" id="myModal" [style.display]="showModal ? 'block' : 'none'">
  <div class="modal-dialog">
    <div class="modal-content">
      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">Détails du Plan de Tests : {{editPlan?.nom}}</h4>
        <!-- Modal footer -->
        <button type="button" class="btn btn-danger" data-dismiss="modal" (click) = "hide('editModal')">X</button>
      </div>
      <!-- Modal body -->
      <div class="modal-body">
        <form #editForm="ngForm" >
          <div class="form-group">
            <input
                   type="hidden"
                   ngModel="{{editPlan?.id}}"
                   name="id"
                   id="id"
            />
            <input
                   type="hidden"
                   ngModel="{{editPlan?.projet_projet_id}}"
                   id="projet_projet_id"
                   name="projet_projet_id"
            />
            <label class="mb-1" for="nom">Intitulé</label>
            <input
                   type="text"
                   ngModel="{{editPlan?.nom}}"
                   id="nom"
                   name="nom"
                   class="form-control mb-2"
            />
          </div>
          <div class="form-group">
            <label class="mb-1" for="details">Détails</label>
            <textarea
                      class="form-control mb-2"
                      ngModel="{{editPlan?.details}}"
                      id="details"
                      name="details"
            ></textarea>
          </div>
          <div class="form-group">
            <select ngModel="{{editPlan?.archive}}"
                    name="archive"
                    id="archive"
            >
              <option value="false"
                      [selected]="editPlan?.archive === false"
              >actif</option>
              <option
                      value="true"
                      [selected]="editPlan?.archive === true"
              >inactif</option>
            </select>
          </div>
          <div class="mt-3 mb-2">
            <button class="btn btn-primary w-100" (click)="onSubmit(editForm.value)" [disabled]="editForm.invalid">Sauvegarder</button>
          </div>
          <div class="mt-2 mb-2">
            <button class="btn btn-secondary w-100" type="reset" (click)="hide('editModal')">Annuler</button>
          </div>
        </form>
      </div>
      <div class="modal-footer">
        <p *ngIf="isValid" style="text-align:center; color:green; font-weight: bold; " >{{infoMessage}}</p>
        <p *ngIf="!isValid" style="text-align:center; color:red; font-weight: bold " >{{infoMessage}}</p>
      </div>
    </div>
  </div>
</div>

<!-- Modal DELETE Plan-->
<div class="modal" id="deleteModal" [style.display]="showDeleteModal ? 'block' : 'none'">
  <div class="modal-dialog">
    <div class="modal-content">
      <!-- Modal Header -->
      <div class="modal-header">
        <h4 class="modal-title">Archiver : {{deletePlan?.nom}}</h4>
        <!-- Modal footer -->
        <button type="button" class="btn btn-danger" data-dismiss="modal" (click)="hide('deleteModal')">X</button>
      </div>
      <!-- Modal body -->
      <div class="modal-body">
        <div class="form-group">
          <p *ngIf="deletePlan?.archive == true" class="mt-3 mb-5" >Vous êtes sur le point d'activer le plan de test {{deletePlan?.nom}}. <br/><br/>
            Êtes-vous sûr.e de vouloir continuer ?</p>
          <p *ngIf="deletePlan?.archive == false" class="mt-3 mb-5" >Vous êtes sur le point de désactiver le plan de test {{deletePlan?.nom}}. <br/><br/>
            Êtes-vous sûr.e de vouloir continuer ?</p>
        </div>
          <div class="mt-3 mb-2">
            <button *ngIf="deletePlan?.archive == true" class="btn btn-danger w-100" (click)="onArchivePlan(deletePlan)" data-dismiss="modal">Activer</button>
            <button *ngIf="deletePlan?.archive == false" class="btn btn-danger w-100" (click)="onArchivePlan(deletePlan)" data-dismiss="modal">Désactiver</button>
          </div>
      </div>
      <div class="modal-footer">
        <p *ngIf="isValid" style="text-align:center; color:green; font-weight: bold; " >{{infoMessage}}</p>
        <p *ngIf="!isValid" style="text-align:center; color:red; font-weight: bold " >{{infoMessage}}</p>
      </div>
    </div>
  </div>
</div>
